(((kind "manual-section") (section-title "Colors and other settings.") (section-body "In this section we find the background, foreground, linking, and title colors of the article style.
Furthermore, additional settings are provided for.

")) ((kind "manual-page") (description "The background color of the article
") (title "article-background-color") (form article-background-color)) ((kind "manual-page") (description "The foreground color of the article
") (title "article-foreground-color") (form article-foreground-color)) ((kind "manual-page") (description "The color of links from the article
") (title "article-link-color") (form article-link-color)) ((kind "manual-page") (description "The color of visited links from the article
") (title "article-vlink-color") (form article-vlink-color)) ((kind "manual-page") (description "The color of the article title
") (title "article-title-color") (form article-title-color)) ((kind "manual-page") (description "The color of header lines in the article
") (title "article-header-color") (form article-header-color)) ((kind "manual-page") (description "The color of index entries in the table of contents
") (title "article-index-color") (form article-index-color)) ((kind "manual-page") (description "A boolean variable which controls generation of table of contents (index).
") (title "show-index?") (form show-index?)) ((kind "manual-page") (description "In case of show-index, this variable gives the number of columns in the table of contents
") (title "index-columns") (form index-columns)) ((kind "manual-section") (section-title "Top level function.") (section-body "
In this section the important top level functions of the article style are presented. 

")) ((kind "manual-page") (description "Define the article title
") (title "article-title") (form (article-title title))) ((kind "manual-page") (description "Define the article author and affiliation. 
The first of the parameters is usually the author name. The remaining parameters
represent affiliation information.
") (title "article-author-and-affiliation") (form (article-author-and-affiliation . author-and-affiliation))) ((kind "manual-page") (description "Define the article abstract
") (title "article-abstract") (form (article-abstract abstract))) ((kind "manual-page") (description "Define a section in this article. 
The first parameter, id, is a symbol which identifies the section.
The seconde parameter, title, is a title string. The last parameter
is the body of a section, typically and article-paragraph.
") (title "article-section") (form (article-section id title section-body))) ((kind "manual-page") (description "Define a subsection in this article. 
The first parameter, id, is a symbol which identifies the section.
The seconde parameter, title, is a title string. The last parameter
is the body of a section, typically and article-paragraph.
") (title "article-subsection") (form (article-subsection id title section-body))) ((kind "manual-page") (description "Define a number of paragraphs. 
Paragraphs are separated by a p tag.
") (title "article-paragraphs") (form (article-paragraphs . paragraph-list))) ((kind "manual-page") (description "Define an article figure (gif or jpg) in terms of an id, a relative file path, and a caption. 
The first parameter, id, is a symbol which identifies the figure.
The second parameter, relative-file-path, is the relative file path to the jpg or gif file.
The third parameter is the caption of the figure (a string).
") (title "article-figure") (form (article-figure id relative-file-path caption . unsed-rest))) ((kind "manual-page") (description "Define a number of name issues, which are rendered as titled items in a list.
The parameters are supposed to be issue forms.
") (title "article-named-issue-list") (form (article-named-issue-list . issue-list))) ((kind "manual-page") (description "Define an issue of an article-named-issue-list.
An issue is defined in terms of a title and a body.
") (title "issue") (form (issue issue-title issue-body))) ((kind "manual-page") (description "Define a number of items.
The parameters are supposed to be item forms.
") (title "article-items") (form (article-items . items))) ((kind "manual-page") (description "Define an item in an article-items form.
") (title "item") (form (item i))) ((kind "manual-page") (description "The clause which starts the article proper.
This clause must be ended by end-article.
Put article-title, article-author-and-affiliation, article-abstract, the sections, and the article-bibliography
between begin-article and end-article.
") (title "begin-article") (form (begin-article))) ((kind "manual-page") (description "The clause which ends the article.
") (title "end-article") (form (end-article))) ((kind "manual-page") (description "This form returns a link (anchor tag) to a section or subsection of the article.
The reference is resolved via the aux file.
") (title "section-ref") (form (section-ref id))) ((kind "manual-page") (description "This form returns a link to a figure of the article.
") (title "figure-ref") (form (figure-ref id))) ((kind "manual-page") (description "This form returns a list of links to citations of this article.
key-list is a list of strings, which identify bibliograph items.
") (title "cite") (form (cite . key-list))) ((kind "manual-page") (description "Define the bibliograph items of the article. 
It is assumed that the constituents are bib-item forms.
") (title "article-bibliography") (form (article-bibliography . bib-items))) ((kind "manual-page") (description "The individual bibliograph items of the article-bibliography.
A bib-item is defined in terms of a key and a string, which represents the formatted bib information.
") (title "bib-item") (form (bib-item key formatted-bib))) ((kind "manual-section") (section-title "Target specific insertions.") (section-body "Do only use these in special situations.

")))