(((kind "manual-section") (section-title "Example script.") (section-body "Here follows an example script which makes a photo show. Place it in the directory with you photos.
<pre>
(load (string-append laml-dir \"laml.scm\"))
(load (string-append laml-dir \"tools/photo-show/photo-show.scm\"))

(define default-upper-caption \"Some title to appear above photo\")
(define default-upper-size 6)  ; font size - a number between 1 and 6
(define default-lower-caption #f)  ; no lower caption
(define default-lower-size 1)

(define photo-show-title \"Title of show\")

(define default-time 2)  ; show each picture 2 seconds

(define photo-list (photos-in-current-directory))   ; extract photos from current dir
(define last-url (url-of-first-picture photo-list))  ; show cyclic show

(make-photo-show photo-list)
</pre>

")) ((kind "manual-page") (description "A variable that controls if the tool can generate informative messages.
") (title "photo-show-verbose") (form photo-show-verbose)) ((kind "manual-page") (description "The directory in which to write the output html files from this tool.
Defaults to (startup-directory).
") (title "photo-destination-dir") (form photo-destination-dir)) ((kind "manual-section") (section-title "Default settings.") (section-body "The default settings apply as defaults for photo-entries.
Individual photo entries overwrites the defaults.

")) ((kind "manual-page") (description "A default string for the upper captions of pictures (a string)
") (title "default-upper-caption") (form default-upper-caption)) ((kind "manual-page") (description "A default string for the upper font size of pictures (a number between 1 and 6)
") (title "default-upper-size") (form default-upper-size)) ((kind "manual-page") (description "A default string for the lower captions of pictures (a string)
") (title "default-lower-caption") (form default-lower-caption)) ((kind "manual-page") (description "A default string for the lower font size of pictures (a number between 1 and 6)
") (title "default-lower-size") (form default-lower-size)) ((kind "manual-page") (description "A default time (a number, in seconds). Show each picture default-time seconds
") (title "default-time") (form default-time)) ((kind "manual-page") (description "The default width of a photo. Using #f as value of this variable means that
we use the actual width of the photo
") (title "default-photo-width") (form default-photo-width)) ((kind "manual-page") (description "The default height of a photo. Using #f as value of this variable means that
we use the actual height of the photo
") (title "default-photo-height") (form default-photo-height)) ((kind "manual-page") (description "The width of photos in the visual index
") (title "visual-index-photo-width") (form visual-index-photo-width)) ((kind "manual-section") (section-title "Other important variables.") (section-body "
")) ((kind "manual-page") (description "The title of the show. 
Intended to be redefined after this tool is loaded. 
If not redefined, no title is shown.
") (title "photo-show-title") (form photo-show-title)) ((kind "manual-page") (description "The relative URL of the continuation of this photo show. You cannot supply an absolute URL.
This URL is relative to the directory, in which the picture resides.
This variable must be re-defined after this tool is loaded.
You can use (url-of-first-picture photo-list) as the value of this variable
to make a cyclic show.
") (title "last-url") (form last-url)) ((kind "manual-page") (description "A URL which allows us to exit from the photo index. Like last-url, this URL must be relative.
It is interpreted as relative to the directory in which the photos reside.
This variable can be redefined after photo.scm (this tool) has been loaded.
If not redefined, no home url is presented.
") (title "home-url") (form home-url)) ((kind "manual-section") (section-title "Top level functions.") (section-body "The functions in this section are used in the LAML script which generates the photo show.

")) ((kind "manual-page") (description "Make the photo-show from photo-list in terms of individual HTML files and an index file.
Photo-list may be generated by photos-in-current-directory, or manually.
Photo-list is a list of photo-entries, of length at least one.
Each photo-entry is of the form (\"photo-file.ext\" show-time \"upper-caption\" upper-size \"lower-caption\" lower-size).
") (title "make-photo-show") (form (make-photo-show photo-list))) ((kind "manual-page") (description "Return a list of photo-entries, sorted alphabetically, in the LAML startup directory.
A photo entry is a list of the form (\"photo-file.ext\" show-time \"upper-caption\" upper-size \"lower-caption\" lower-size)
upper-caption and/or lower-caption may be #f in case no caption apply; In that case upper-size and lower-size (integers, seconds)
do not matter.
") (title "photos-in-current-directory") (form (photos-in-current-directory))) ((kind "manual-page") (description "Return a URL to the first picture in the photo list.
This may serve as a reasonable value of last-url.
As for last-url, the resulting URL is relative to the picture directory
") (title "url-of-first-picture") (form (url-of-first-picture photo-list))) ((kind "manual-page") (description "Return the URL of the first photo page (a html page) in dir. 
The URL is relative to the HTML directory of the current collection of images, and
it will normally address the first html file in the next collection. Thus the return value
is a legal value of last-url, just like the value of url-of-first-picture.
The directory dir is given relative to the photo directory of current collection of images.
This function relies on the file first.lsp, which is generated by the photo show system in
each picture directory upon processing. If no first.lsp file exists, the function returns 
the empty string.
") (title "first-url-in-directory") (form (first-url-in-directory dir))))